Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
VOL_dvector Class Reference

vector of doubles. More...

`#include <OsiTestSolver.hpp>`

## Public Member Functions
| VOL_dvector (const int s)
| Construct a vector of size s. More...
| VOL_dvector ()
| Default constructor creates a vector of size 0. More...
| VOL_dvector (const VOL_dvector &x)
| Copy constructor makes a replica of x. More...
| ~VOL_dvector ()
| The destructor deletes the data array. More...
int | size () const
| Return the size of the vector. More...
double & | operator[] (const int i)
| Return a reference to the `i`-th entry. More...
double | operator[] (const int i) const
| Return the `i`-th entry. More...
void | clear ()
| Delete the content of the vector and replace it with a vector of length 0. More...
void | cc (const double gamma, const VOL_dvector &w)
| Convex combination. More...
void | allocate (const int s)
| delete the current vector and allocate space for a vector of size `s`. More...
void | swap (VOL_dvector &w)
| swaps the vector with `w`. More...
VOL_dvector & | operator= (const VOL_dvector &w)
| Copy `w` into the vector. More...
VOL_dvector & | operator= (const double w)
| Replace every entry in the vector with `w`. More...

## Public Attributes
double * | v
| The array holding the vector. More...
int | sz
| The size of the vector. More...

## Detailed Description

vector of doubles.

It is used for most vector operations.

Note: If `VOL_DEBUG` is `#defined` to be 1 then each time an entry is accessed in the vector the index of the entry is tested for nonnegativity and for being less than the size of the vector. It's good to turn this on while debugging, but in final runs it should be turned off (beause of the performance hit).

Definition at line 150 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_dvector::VOL_dvector | ( | const int | s | ) |
| inline

Construct a vector of size s.

The content of the vector is undefined.

Definition at line 159 of file OsiTestSolver.hpp.

VOL_dvector::VOL_dvector | ( |  | ) |
| inline

Default constructor creates a vector of size 0.

Definition at line 164 of file OsiTestSolver.hpp.

VOL_dvector::VOL_dvector | ( | const VOL_dvector & | x | ) |
| inline

Copy constructor makes a replica of x.

Definition at line 166 of file OsiTestSolver.hpp.

VOL_dvector::~VOL_dvector | ( |  | ) |
| inline

The destructor deletes the data array.

Definition at line 174 of file OsiTestSolver.hpp.

## Member Function Documentation

int VOL_dvector::size | ( |  | ) | const
| inline

Return the size of the vector.

Definition at line 177 of file OsiTestSolver.hpp.

double& VOL_dvector::operator[] | ( | const int | i | ) |
| inline

Return a reference to the `i`-th entry.

Definition at line 180 of file OsiTestSolver.hpp.

double VOL_dvector::operator[] | ( | const int | i | ) | const
| inline

Return the `i`-th entry.

Definition at line 186 of file OsiTestSolver.hpp.

void VOL_dvector::clear | ( |  | ) |
| inline

Delete the content of the vector and replace it with a vector of length 0.

Definition at line 193 of file OsiTestSolver.hpp.

void VOL_dvector::cc | ( | const double | gamma,
|  | const VOL_dvector & | w
| ) |  |
| inline

Convex combination.

Replace the current vector `v` with `v = (1-gamma) v + gamma w`.

Definition at line 200 of file OsiTestSolver.hpp.

void VOL_dvector::allocate | ( | const int | s | ) |
| inline

delete the current vector and allocate space for a vector of size `s`.

Definition at line 216 of file OsiTestSolver.hpp.

void VOL_dvector::swap | ( | VOL_dvector & | w | ) |
| inline

swaps the vector with `w`.

Definition at line 223 of file OsiTestSolver.hpp.

VOL_dvector& VOL_dvector::operator= | ( | const VOL_dvector & | w | ) |

Copy `w` into the vector.

VOL_dvector& VOL_dvector::operator= | ( | const double | w | ) |

Replace every entry in the vector with `w`.

## Member Data Documentation

double* VOL_dvector::v

The array holding the vector.

Definition at line 153 of file OsiTestSolver.hpp.

int VOL_dvector::sz

The size of the vector.

Definition at line 155 of file OsiTestSolver.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/test/OsiTestSolver.hpp